%define fw_version 5.24

Summary:	KDE Frameworks 5 HTML rendering engine
Name:		khtml
Version:	5.24.0
Release:	1
License:	GPLv2+
Group:		Graphical desktop/KDE
Url:		https://www.kde.org/
Source0:	ftp://ftp.kde.org/pub/kde/stable/frameworks/%{fw_version}/%{name}-%{version}.tar.xz
BuildRequires:	extra-cmake-modules
BuildRequires:	qt5-linguist-tools
BuildRequires:	giflib-devel
BuildRequires:	jpeg-devel
BuildRequires:	karchive-devel >= %{version}
BuildRequires:	kcodecs-devel >= %{version}
BuildRequires:	kglobalaccel-devel >= %{version}
BuildRequires:	ki18n-devel >= %{version}
BuildRequires:	kiconthemes-devel >= %{version}
BuildRequires:	kio-devel >= %{version}
BuildRequires:	kjs-devel >= %{version}
BuildRequires:	knotifications-devel >= %{version}
BuildRequires:	kparts-devel >= %{version}
BuildRequires:	ktextwidgets-devel >= %{version}
BuildRequires:	kwallet-kf5-devel >= %{version}
BuildRequires:	kwidgetsaddons-devel >= %{version}
BuildRequires:	kwindowsystem-devel >= %{version}
BuildRequires:	kxmlgui-devel >= %{version}
BuildRequires:	sonnet-devel >= %{version}
BuildRequires:	pkgconfig(libpng)
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(phonon4qt5)
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5DBus)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5Network)
BuildRequires:	pkgconfig(Qt5PrintSupport)
BuildRequires:	pkgconfig(Qt5Test)
BuildRequires:	pkgconfig(Qt5Widgets)
BuildRequires:	pkgconfig(Qt5X11Extras)
BuildRequires:	pkgconfig(Qt5Xml)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(zlib)

%description
KDE Frameworks 5 HTML rendering engine.

KHTML is a web rendering engine, based on the KParts technology and using KJS
for JavaScript support.

%files
%dir %{_kde5_datadir}/kf5/khtml/
%{_kde5_datadir}/kf5/khtml/*
%dir %{_kde5_datadir}/kf5/kjava/
%{_kde5_datadir}/kf5/kjava/*
%{_kde5_plugindir}/parts/*.so
%{_kde5_services}/*.desktop
%{_kde5_sysconfdir}/xdg/khtmlrc

#----------------------------------------------------------------------------

%package i18n
Summary:	KHtml translations
Group:		System/Internationalization
BuildArch:	noarch

%description i18n
KHtml translations.

%files i18n -f %{name}.lang

#----------------------------------------------------------------------------

%define kf5khtml_major 5
%define libkf5khtml %mklibname kf5khtml %{kf5khtml_major}

%package -n %{libkf5khtml}
Summary:	KDE Frameworks 5 HTML rendering engine shared library
Group:		System/Libraries
Requires:	%{name}
Requires:	%{name}-i18n

%description -n %{libkf5khtml}
KDE Frameworks 5 HTML rendering engine shared library.

%files -n %{libkf5khtml}
%{_kde5_libdir}/libKF5KHtml.so.%{kf5khtml_major}*

#----------------------------------------------------------------------------

%define devkf5khtml %mklibname kf5khtml -d

%package -n %{devkf5khtml}
Summary:	Development files for KDE Frameworks 5 HTML rendering engine
Group:		Development/KDE and Qt
Requires:	%{libkf5khtml} = %{EVRD}
Provides:	%{name}-devel = %{EVRD}
Provides:	kf5khtml-devel = %{version}

%description -n %{devkf5khtml}
This package contains header files needed if you wish to build applications
based on %{name}.

%files -n %{devkf5khtml}
%{_kde5_includedir}/KF5/KHtml
%{_kde5_includedir}/KF5/khtml_version.h
%{_kde5_libdir}/cmake/KF5KHtml
%{_kde5_libdir}/libKF5KHtml.so
%{_kde5_mkspecsdir}/*.pri

#----------------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{name} --all-name --with-qt

%changelog

* Sun Jul 10 2016 Andrey Bondrov <andrey.bondrov@rosalab.ru> 5.24.0-1
- (4f11671) Update files


